PHP Manual
Prev |  | Next

# XMLReader::XML

(no version information, might be only in CVS)

XMLReader::XML -- Set the data containing the XML to parse

## Description

class XMLReader {
bool open ( string source [, string encoding [, int options]] )
}

Set the data containing the XML to parse.

## Parameters

`source`

  String containing the XML to be parsed.

`encoding`

  The document encoding or `NULL`.

`options`

  A bitmask of the XMLReader Options constants.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## ChangeLog

Version | Description
--- | ---
5.2.0 | `encoding` and `options` were added.

## See Also

XMLReader::open
XMLReader::close

Prev | Home | Next
XMLReader::setRelaxNGSchemaSource | Up | XMLWriter Functions